
package com.jqtx.windows.component.tsmodel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 通过网关接口同步案件联系人请求对象
 * @Description
 * @Author dongxiaoxia
 * @Date 2018/9/12 19:50
 */
@Data
public class ContactRequest {

	/**
   * 客户证件号
   */
  @NotBlank(message = "证件号码不能为空")
  @ApiModelProperty(value = "证件号码", required = true)
  private String clientIdCard;

  @NotBlank(message = "联系姓名不能为空")
  @ApiModelProperty(value = "联系姓名", required = true)
  private String contactName;
  /**
   * 联系人手机号码
   */
  @NotBlank(message = "电话号码不能为空")
  @ApiModelProperty(value = "电话号码", required = true)
  private String contactMobile;

  @NotBlank(message = "与客户的关系不能为空")
  @ApiModelProperty(value = "与客户的关系", required = true)
  private String relation;
  /**
   * 居住地址
   */
  @ApiModelProperty(value = "居住地址", required = false)
  private String liveAddress;
  /**
   * 备注
   */
  @ApiModelProperty(value = "备注", required = false)
  private String memo;

}
